Subject: bug#73022: 31.0.50; Crash in build_frame_matrix_from_leaf_window after C-x 2 and reducing terminal size

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Sep 2024 14:31:08 +0300

> From: Daniel Clemente <[email-masked]>
> Date: Sun, 8 Sep 2024 11:08:14 +0000
> Cc: martin rudalics <[email-masked]>, [email-masked]
> 
> > I noticed that causing this assertion to fail is not very easy.  For
> > example, if I drag the terminal emulator window one line at a time, I
> > can never cause it, even if I get to frame sizes that are much smaller
> > than the minimum we need for 2 windows.  Somehow, I need to drag the
> > frame so it resizes by several lines and/or columns.  Not sure why.
> >
> 
> I can cause the build_frame_matrix_from_leaf_window failed assertion (
>   glyph_row_slice_p(window_row, frame_row) is false  ) when slowly
> resizing row by row (7→6→5 rows). The number of columns doesn't matter
> (can be a normal one).

I cannot.  Slowly dragging the window never crashes.

> You can also try maximizing/unmaximizing“the window if you window
> manager supports it. That's a way of suddenly changing the number of
> rows from a normal value (e.g. 20) to a dangerous value (e.g. 4).
> After unmaximizing it immediately crashes (if you did the C-x 2
> split).

This also never crashes here.